Skip to main content
`Ctrl`+`K`

# SNESFASRestrict

restrict a `Vec` to the next coarser level

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASRestrict(SNES fine, Vec Xfine, Vec Xcoarse)

Collective

## Input Parameters

- fine - `SNES` from which to restrict

- Xfine - vector to restrict

## Output Parameter

- Xcoarse - result of restriction

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetRestriction()`, `SNESFASSetInjection()`, `SNESFASCreateCoarseVec()`

## Level

developer

## Location

src/snes/impls/fas/fas.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages